Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QwtRichTextEngine Class Reference

A text engine for Qt rich texts. More...

`#include <qwt_text_engine.h>`

Inheritance diagram for QwtRichTextEngine:
[legend]

## Public Member Functions
| QwtRichTextEngine ()
| Constructor.
virtual double | heightForWidth (const QFont &font, int flags, const QString &text, double width) const
virtual QSizeF | textSize (const QFont &font, int flags, const QString &text) const
virtual void | draw (QPainter *painter, const QRectF &rect, int flags, const QString &text) const
virtual bool | mightRender (const QString &) const
virtual void | textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const
Public Member Functions inherited from QwtTextEngine
virtual | ~QwtTextEngine ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from QwtTextEngine
| QwtTextEngine ()
| Constructor.

## Detailed Description

A text engine for Qt rich texts.

QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

## Member Function Documentation

void QwtRichTextEngine::draw | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Draw the text in a clipping rectangle

Parameters

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags like in for QPainter::drawText()
  text | Text to be rendered

Implements QwtTextEngine.

double QwtRichTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | double | width
| ) |  | const
| virtual

Find the height for a given width

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText()
  text | Text to be rendered
  width | Width

Returns
  Calculated height

Implements QwtTextEngine.

bool QwtRichTextEngine::mightRender | ( | const QString & | text | ) | const
| virtual

Test if a string can be rendered by this text engine

Parameters

  text | Text to be tested

Returns
  Qt::mightBeRichText(text);

Implements QwtTextEngine.

void QwtRichTextEngine::textMargins | ( | const QFont & | ,
|  | const QString & | ,
|  | double & | left,
|  | double & | right,
|  | double & | top,
|  | double & | bottom
| ) |  | const
| virtual

Return margins around the texts

Parameters

  left | Return 0
  right | Return 0
  top | Return 0
  bottom | Return 0

Implements QwtTextEngine.

QSizeF QwtRichTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Returns the size, that is needed to render text

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText()
  text | Text to be rendered

Returns
  Calculated size

Implements QwtTextEngine.